#!/bin/csh
#
#
# Initial orbital integration 
arc    < bigs10.001      
#
# Generation of yaw file 
yawtab tpgga0.196       ypggat.196         30
#
# Generation of u-file 
 grdtab digs10.196       2020 196 1.25 otl.grid  map.grid  
#
# Initial solution 
model  < bigs10.002      
model  < bigs10.003      
model  < bigs10.004      
model  < bigs10.005      
model  < bigs10.006      
model  < bigs10.007      
model  < bigs10.008      
model  < bigs10.009      
model  < bigs10.010      
model  < bigs10.011      
model  < bigs10.012      
model  < bigs10.013      
model  < bigs10.014      
model  < bigs10.015      
model  < bigs10.016      
model  < bigs10.017      
model  < bigs10.018      
model  < bigs10.019      
model  < bigs10.020      
model  < bigs10.021      
model  < bigs10.022      
model  < bigs10.023      
model  < bigs10.024      
model  < bigs10.025      
model  < bigs10.026      
model  < bigs10.027      
model  < bigs10.028      
model  < bigs10.029      
model  < bigs10.030      
model  < bigs10.031      
model  < bigs10.032      
model  < bigs10.033      
model  < bigs10.034      
model  < bigs10.035      
model  < bigs10.036      
sh_autedit -base  autcln.cmd               -autecl ypggat.196 196 N 30   
echo AUTCLN is running--see autcln.out for messages
autcln autcln.cmd.prefit . digs10.196      0 >! autcln.out
if( -e GAMIT.fatal ) exit
mvcf 0 a
cfmrg  < bigs10.038      
solve <  bigs10.039      
sh_chksolve 
if( -e GAMIT.fatal ) exit 
#
# Post-fit editing and solution
/bin/rm c????a.???
model  < bigs10.040      
model  < bigs10.041      
model  < bigs10.042      
model  < bigs10.043      
model  < bigs10.044      
model  < bigs10.045      
model  < bigs10.046      
model  < bigs10.047      
model  < bigs10.048      
model  < bigs10.049      
model  < bigs10.050      
model  < bigs10.051      
model  < bigs10.052      
model  < bigs10.053      
model  < bigs10.054      
model  < bigs10.055      
model  < bigs10.056      
model  < bigs10.057      
model  < bigs10.058      
model  < bigs10.059      
model  < bigs10.060      
model  < bigs10.061      
model  < bigs10.062      
model  < bigs10.063      
model  < bigs10.064      
model  < bigs10.065      
model  < bigs10.066      
model  < bigs10.067      
model  < bigs10.068      
model  < bigs10.069      
model  < bigs10.070      
model  < bigs10.071      
model  < bigs10.072      
model  < bigs10.073      
model  < bigs10.074      
sh_autedit -base  autcln.cmd -post         -autecl ypggat.196 196 N 30   
echo AUTCLN is running--see autcln.out for messages
autcln autcln.cmd.postfit . digs10.196      b >! autcln.out
if( -e GAMIT.fatal ) exit
mvcf b c
/bin/cp  migs1a.196 migs1a.196.autcl
cfmrg  < bigs10.075      
sh_sigelv -nfile nigs1c.196 -qfile qigs1p.196               -acmd autcln.cmd.postfit
solve <  bigs10.076      
sh_chksolve
if( -e GAMIT.fatal ) exit 
#
# Re-do AUTCLN and SOLVE with updated M-file
# if the ratio of the pre-fit to the post-fit nrms exceeds 1.5
set prms = `grep "Postfit nrms" qigs1p.196 | head -1 | awk '{print $6}'`
set arms = `grep "Postfit nrms" qigs1a.196 | head -1 | awk '{print $6}'`
set redo = `echo $prms $arms | awk '$1/$2 > 1.5 {print "yes";exit}'`
if( $redo == "yes" ) then
/bin/rm c????c.???
model  < bigs10.077      
model  < bigs10.078      
model  < bigs10.079      
model  < bigs10.080      
model  < bigs10.081      
model  < bigs10.082      
model  < bigs10.083      
model  < bigs10.084      
model  < bigs10.085      
model  < bigs10.086      
model  < bigs10.087      
model  < bigs10.088      
model  < bigs10.089      
model  < bigs10.090      
model  < bigs10.091      
model  < bigs10.092      
model  < bigs10.093      
model  < bigs10.094      
model  < bigs10.095      
model  < bigs10.096      
model  < bigs10.097      
model  < bigs10.098      
model  < bigs10.099      
model  < bigs10.100      
model  < bigs10.101      
model  < bigs10.102      
model  < bigs10.103      
model  < bigs10.104      
model  < bigs10.105      
model  < bigs10.106      
model  < bigs10.107      
model  < bigs10.108      
model  < bigs10.109      
model  < bigs10.110      
model  < bigs10.111      
sh_autedit -base  autcln.cmd -post         -autecl ypggat.196 196 N 30   
echo AUTCLN is running--see autcln.out for messages
autcln autcln.cmd.postfit . digs10.196      d >! autcln.out
if( -e GAMIT.fatal ) exit
mvcf d e
/bin/cp  migs1a.196 migs1a.196.autcl
cfmrg  < bigs10.112      
sh_sigelv -nfile nigs1e.196 -qfile qigs1a.196               -acmd autcln.cmd.postfit
solve <  bigs10.113      
sh_chksolve 
if( -e GAMIT.fatal ) exit 
endif
#
# Check the quality of the final solution
set rms = `grep "Postfit nrms" qigs1a.196 | awk '$6 > 1 {print "no";exit}'` 
if ( $rms == "no" ) echo Full solution rms is too high
if ( $rms == "no" ) scandd migs1a.196      
if ( $rms == "no" ) exit
